Bug 1460511 - [RFE] - Uniform import\export dialog for all types in the system (VM, export domain, storage import, v2v)
[RFE] - Uniform import\export dialog for all types in the system (VM, export ...
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: RFEs (Show other bugs)
4.1.3.2
Unspecified Unspecified
medium Severity high (vote)
: ovirt-4.3.0
: ---
Assigned To: Arik
meital avital
: FutureFeature
Depends On:
Blocks: 1435179
  Show dependency treegraph
 
Reported: 2017-06-11 11:30 EDT by Yaniv Lavi
Modified: 2017-09-28 04:03 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tjelinek: ovirt‑4.3?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Yaniv Lavi 2017-06-11 11:30:12 EDT
Description of problem:
There are many import dialogs in the system, we should merge all of them into the import VM or disk dialogs.
Comment 1 Yaniv Lavi 2017-07-06 09:01:47 EDT
Is this planned for 4.2?
Comment 2 Martin Tessun 2017-07-07 06:40:05 EDT
(In reply to Yaniv Lavi from comment #1)
> Is this planned for 4.2?

Not yet, but I agree it makes sense. Not sure if this is really Virt or more UX related, but I will clarify. 

Leaving the needinfo on me for followup.
Comment 3 Martin Tessun 2017-08-09 07:45:39 EDT
We probably need UXd for designing the dialogues and Virt to add the functionality.

So this is probably not possible for 4.2.
I will set up a call with UXd team on that one.
Comment 4 Yaniv Lavi 2017-08-10 07:05:21 EDT
(In reply to Martin Tessun from comment #3)
> We probably need UXd for designing the dialogues and Virt to add the
> functionality.
> 
> So this is probably not possible for 4.2.
> I will set up a call with UXd team on that one.

This is already done. See the designs from Eldan in the 4.2 Trello development board.
Comment 6 Michal Skrivanek 2017-08-22 03:12:31 EDT
feature is in progress, GUI side is aligned, though eldan's design is based on old UI
Comment 7 Yaniv Lavi 2017-08-30 09:13:17 EDT
(In reply to Michal Skrivanek from comment #6)
> feature is in progress, GUI side is aligned, though eldan's design is based
> on old UI

Moving back to 4.2 based on this.
Comment 9 Tomas Jelinek 2017-09-15 04:27:16 EDT
It is partially done, there is a dialog which can import from export domain, v2v and the import from OVA is also being added there (https://bugzilla.redhat.com/show_bug.cgi?id=1319758).

But, there is still a specific dialog for import from export domain. Also the import templates (from export domain and glance) are completely separate.

Hence, moving to 4.3

Note You need to log in before you can comment on or make changes to this bug.